use serde::Deserialize;

#[derive(Debug, Clone, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct ClashConnectionMessage {
    pub id: String,
    pub chains: Vec<String>,
    pub upload: u64,
    pub download: u64,
}

#[derive(Debug, Clone, Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct ClashConnectionsWrapper {
    pub connections: Vec<ClashConnectionMessage>,
    pub download_total: u64,
    pub upload_total: u64,
}
